Coin: SoProfileCoordinateElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoProfileCoordinateElement Class Reference
Element Classes

The SoProfileCoordinateElement class is yet to be documented. More...

`#include <Inventor/elements/SoProfileCoordinateElement.h>`

Inheritance diagram for SoProfileCoordinateElement:

## Public Member Functions
virtual void | init (SoState *state)
int32_t | getNum (void) const
const SbVec2f & | get2 (const int index) const
const SbVec3f & | get3 (const int index) const
SbBool | is2D (void) const
const SbVec2f * | getArrayPtr2 (void) const
const SbVec3f * | getArrayPtr3 (void) const
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
SbUniqueId | getNodeId () const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set2 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec2f *const coords)
static void | set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords)
static const SoProfileCoordinateElement * | getInstance (SoState *const state)
static SbVec2f | getDefault2 (void)
static SbVec3f | getDefault3 (void)
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoProfileCoordinateElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes
int32_t | numCoords
const SbVec2f * | coords2
const SbVec3f * | coords3
SbBool | coordsAre2D
Protected Attributes inherited from SoReplacedElement
SbUniqueId | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoProfileCoordinateElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoProfileCoordinateElement()

SoProfileCoordinateElement::~SoProfileCoordinateElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoProfileCoordinateElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoProfileCoordinateElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoProfileCoordinateElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoProfileCoordinateElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoProfileCoordinateElement::init | ( | SoState * | state | ) |
| virtual

This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoReplacedElement.

## ◆ set2()

void SoProfileCoordinateElement::set2 | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const int32_t | numCoords,
|  | const SbVec2f *const | coords )
| static

Sets the profile coordinates.

## ◆ set3()

void SoProfileCoordinateElement::set3 | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const int32_t | numCoords,
|  | const SbVec3f *const | coords )
| static

Sets the profile coordinates.

## ◆ getInstance()

const SoProfileCoordinateElement * SoProfileCoordinateElement::getInstance | ( | SoState *const | state | ) |
| static

Returns the current element.

## ◆ getNum()

int32_t SoProfileCoordinateElement::getNum | ( | void |  | ) | const

Returns the number of profile coordinates in this element.

## ◆ get2()

const SbVec2f & SoProfileCoordinateElement::get2 | ( | const int | index | ) | const

Returns the index'th 2D coordinate.

See also
  is2D()

## ◆ get3()

const SbVec3f & SoProfileCoordinateElement::get3 | ( | const int | index | ) | const

Returns the index'th 3D coordinate.

See also
  is2D()

## ◆ is2D()

SbBool SoProfileCoordinateElement::is2D | ( | void |  | ) | const

Returns if this element contains 2D coordinates.

## ◆ getDefault2()

SbVec2f SoProfileCoordinateElement::getDefault2 | ( | void |  | ) |
| static

Returns the default 2D coordinate.

## ◆ getDefault3()

SbVec3f SoProfileCoordinateElement::getDefault3 | ( | void |  | ) |
| static

Returns the default 3D coordinate.

## ◆ getArrayPtr2()

const SbVec2f * SoProfileCoordinateElement::getArrayPtr2 | ( | void |  | ) | const

Returns a pointer to the 2D coordinates.

## ◆ getArrayPtr3()

const SbVec3f * SoProfileCoordinateElement::getArrayPtr3 | ( | void |  | ) | const

Returns a pointer to the 3D coordinates.

## Member Data Documentation

## ◆ numCoords

int32_t SoProfileCoordinateElement::numCoords
| protected

FIXME: write doc.

## ◆ coords2

const SbVec2f* SoProfileCoordinateElement::coords2
| protected

FIXME: write doc.

## ◆ coords3

const SbVec3f* SoProfileCoordinateElement::coords3
| protected

FIXME: write doc.

## ◆ coordsAre2D

SbBool SoProfileCoordinateElement::coordsAre2D
| protected

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoProfileCoordinateElement.h
- SoProfileCoordinateElement.cpp